from collections import namedtuple
import random
import os
import time
import sys

#from PIL import Image
from inky import InkyPHAT

from randomisland3 import random_landscape

inky_display = InkyPHAT('red')
inky_display.set_border(inky_display.BLACK)

DIMENSIONS = (212, 104)

def nonlinearity_inky(f):
    if f > 0.6:
        return 0
    elif f > 0.54:
        return 0  # 2
    return 1

def draw_maps_forever():
    while True:
        landscape = random_landscape(*DIMENSIONS, nonlinearity=nonlinearity_inky)

        inky_display.set_image(landscape)
        inky_display.show()
        time.sleep(60 * 60)

draw_maps_forever()
